package com.hai.service;

import com.hai.entity.HighGasOilPriceTask;

import java.util.List;
import java.util.Map;

/**
 * 加油站价格任务
 * @author hurui
 */
public interface HighGasOilPriceTaskService {

    /**
     * 编辑数据
     * @param gasOilPriceTask
     */
    void editData(HighGasOilPriceTask gasOilPriceTask);

    /**
     * 批量增加价格任务
     * @param taskList
     */
    void batchAddTask(List<HighGasOilPriceTask> taskList);

    /**
     * 增加价格任务
     * @param gasOilPriceTask
     */
    void addTask(HighGasOilPriceTask gasOilPriceTask);

    /**
     * 业务处理
     * @param gasOilPriceTask
     */
    void businessHandle(HighGasOilPriceTask gasOilPriceTask);

    /**
     * 根据id 查询详情
     * @param taskId
     * @return
     */
    HighGasOilPriceTask getDetailById(Long taskId);

    /**
     * 删除任务
     * @param taskId
     */
    void delTask(Long taskId);

    /**
     * 查询任务列表
     * @param param
     * @return
     */
    List<HighGasOilPriceTask> getTaskList(Map<String, Object> param);

}
